Bug 222433 - devel/icu: drop C++98 support in consumers
Summary: devel/icu: drop C++98 support in consumers
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-office (Nobody)
URL: https://ssl.icu-project.org/trac/tick...
Keywords: patch
Depends on: 218788 222223 222225 222434 222435
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-18 21:33 UTC by Jan Beich
Modified: 2018-02-09 09:20 UTC (History)
1 user (show)

See Also:


Attachments
ICU 59 version (4.54 KB, patch)
2017-09-18 21:54 UTC, Jan Beich
no flags Details | Diff
ICU 60 version (16.45 KB, patch)
2018-02-06 16:36 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-09-18 21:33:55 UTC
C++98 support currently relies on downstream patches. GCC already defaults to C++14, so this affects only Clang platforms. If not fixed it'd complicate future ICU updates by requiring to revert upstream commits e.g.,

https://ssl.icu-project.org/trac/changeset/40077
Comment 1 Jan Beich freebsd_committer 2017-09-18 21:54:14 UTC
Created attachment 186520 [details]
ICU 59 version
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-22 15:12:40 UTC
Makefile shows:
Version 60_2
patch is in the port.

I think this could closed.
Comment 3 Jan Beich freebsd_committer 2018-02-06 16:36:35 UTC
Created attachment 190361 [details]
ICU 60 version
Comment 4 commit-hook freebsd_committer 2018-02-09 09:13:48 UTC
A commit references this bug:

Author: jbeich
Date: Fri Feb  9 09:12:50 UTC 2018
New revision: 461290
URL: https://svnweb.freebsd.org/changeset/ports/461290

Log:
  devel/icu: drop C++98 compatibility workarounds

  Now that both USE_GCC and -CURRENT default to C++14 there's little
  reason to complicate maintenance. Revert r449685 to usher consumers
  into post-C++11 world.

  PR:		222433 222434 222435

Changes:
  head/databases/evolution-data-server/Makefile
  head/devel/icu/Makefile
  head/devel/icu/files/patch-common_unicode_platform.h
  head/devel/icu/files/patch-common_unicode_umachine.h
  head/devel/icu/files/patch-common_unicode_unistr.h
  head/devel/icu/files/patch-revert-r40077
  head/devel/icu-le-hb/Makefile
  head/devel/pecl-intl/Makefile
  head/devel/php70-intl/Makefile
  head/devel/php71-intl/Makefile
  head/devel/php72-intl/Makefile
  head/games/openttd/Makefile
  head/lang/phantomjs/files/patch-src_qt_qtbase_config.tests_unix_icu_icu.pro
  head/lang/v8-devel/Makefile
  head/misc/sword/Makefile
  head/print/tex-xetex/Makefile
  head/print/texlive-base/Makefile
  head/sysutils/gdisk/Makefile
  head/www/cppcms/Makefile